SlbmInterface.Layers
Date: 2015-11-04

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gov.sandia.gnem.slbmjni
Enum SlbmInterface.Layers

    java.lang.Object
      java.lang.Enum<SlbmInterface.Layers>
          gov.sandia.gnem.slbmjni.SlbmInterface.Layers

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SlbmInterface.Layers>

Enclosing class:
  SlbmInterface

    public static enum SlbmInterface.Layers

extends java.lang.Enum<SlbmInterface.Layers>

Enum Constant Summary
`LOWER_CRUST`
`MANTLE`
`MIDDLE_CRUST_G`
`MIDDLE_CRUST_N`
`SEDIMENT1`
`SEDIMENT2`
`SEDIMENT3`
`UPPER_CRUST`
`WATER`

Method Summary
`static SlbmInterface.Layers` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SlbmInterface.Layers[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WATER

    public static final SlbmInterface.Layers WATER

### SEDIMENT1

    public static final SlbmInterface.Layers SEDIMENT1

### SEDIMENT2

    public static final SlbmInterface.Layers SEDIMENT2

### SEDIMENT3

    public static final SlbmInterface.Layers SEDIMENT3

### UPPER_CRUST

    public static final SlbmInterface.Layers UPPER_CRUST

### MIDDLE_CRUST_N

    public static final SlbmInterface.Layers MIDDLE_CRUST_N

### MIDDLE_CRUST_G

    public static final SlbmInterface.Layers MIDDLE_CRUST_G

### LOWER_CRUST

    public static final SlbmInterface.Layers LOWER_CRUST

### MANTLE

    public static final SlbmInterface.Layers MANTLE

Method Detail

### values

    public static SlbmInterface.Layers[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SlbmInterface.Layers c : SlbmInterface.Layers.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SlbmInterface.Layers valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD